Subject: Re: question on MAC passthrough and multiple devices in r8152

From: Jakub Kicinski <[email-masked]>
Date: Wed, 27 Jul 2022 09:09:00 -0700

On Wed, 27 Jul 2022 12:51:44 +0200 Oliver Neukum wrote:
> I am looking at the logic the r8152 driver uses to
> assign a pass through MAC and I do not understand how
> you make sure that it is passed to one device only.
> As far as I can see the MAC comes from an ACPI object,
> hence the driver will happily read it out and assign
> it multiple times. Am I overlooking something?

Just to be sure - have you seen the giant threads on the topic?
IIRC lenovo was sending patches to extend the mechanism, broke
some people's setups and to much teeth grinding we accepted the
somewhat improved patches and moved on. The entire mechanism is
quite poorly designed, we couldn't come up with a better way :(